<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">

<head>
	<title>Informatique et Science du Numérique</title>

	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
	<meta name="language" content="fr" />
	<meta name="revisit-after" content="10 days" />
	<meta name="robots" content="index,follow" />
	<meta name="rating" content="education" />
	<meta name="author" content="Dominique Laporte" />
	<meta name="description" content="Ressources pedagogiques Libres et gratuites" />
	<meta name="keywords" content="education,pedagogie,ressource,libre,gratuite,SI,STI2D,SIN,informatique,physique,science,numerique,bac,sujets" />

	<?php
	$count = substr_count($_SERVER['REQUEST_URI'], '/');
	$limit = substr_count('/pedago/', '/');
	$path  = ".";
	for ($i = $count; $i > $limit; $i--)
		$path = $path . "/..";

	print("
		<link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" href=\"$path/.globals.css\" />
		<link rel=\"icon\" type=\"image/png\" href=\"$path/.img/favicon.png\" />
		");
	?>
</head>

<body>
	<?php
	$title = ( $count == 2 ) ? "Sciences de l'Ingénieur et du Numérique" : "Sciences Informatique et Numérique" ;
	
	print("
		<div id=\"title\">
			<div id=\"top-menu\" >
				<h1>$title</h1>
				<h2>Ressources pédagogiques Libres et gratuites</h2>
			</div>
		</div>
		");		
	?>

	<div style="margin-top:100px; margin-left:5px;">
	<?php
		print("<img src=\"$path/.img/url.png\" alt=\"\" style=\"margin-right:5px;\" />");
	
		$referer  = explode("/", $_SERVER['SERVER_NAME']);
		$keywords = explode("/", $_SERVER['REQUEST_URI']);

		$href = "http://$referer[0]/";
		print("<a href=\"$href\">$referer[0]</a> / ");
		for ($i = 1; $i < count($keywords); $i++)
			if ( $keywords[$i] != "" ) {
				$href .= "$keywords[$i]/";
				print("<a href=\"$href\">$keywords[$i]</a> / ");
				}
	?>
	</div>
	
	<div style="margin-top:10px; margin-left:5px;">
	<table>
		<tr>
			<th style="width:1%;">&nbsp;</th>
			<th style="width:50%;">Nom</th>
			<th style="width:20%; text-align:right;">Taille</th>
			<th style="width:20%; text-align:right;">dernière modification</th>
			<th style="width:9%;">&nbsp;</th>
		</tr>

<?php
	//---- liste des fichiers et des dossiers présents
	$files = array();
	$mydir = array();
	
	// lecture des fichiers et des dossiers
	$dir   = ".";
	$myDir = @opendir($dir);

	while ( $entry = readdir($myDir) ) {
		// les fichiers
		if ( is_file("$dir/$entry") )
			switch ( $entry ) {
				case "." :
				case ".." :
				case "index.php" :
					break;

				default :
					// les fichiers cachés commencent par le caractère .
					if ( $entry[0] != '.' )
						$files[] = $entry;
					break;
				}
				
		// les dossiers
		if ( is_dir("$dir/$entry") )
			switch ( $entry ) {
				case "." :
					break;

				case ".." :
					// on ne remonte pas au delà de la racine
					if ( $count > 2 )
						$mydir[] = $entry;
					break;

				default :
					// les dossiers cachés commencent par le caractère .				
					if ( $entry[0] != '.' )				
						$mydir[] = $entry;
					break;
				}
			}

	// Tri des fichiers et des dossiers
	@sort($files);
	@sort($mydir);

	// Réindexation du tableau selon le nouvel ordre
	$files = @array_values($files);

	// Boucle pour lire et afficher les dossiers
	for ($i = 0; $i < count($mydir); $i++ ) {
		$date = $mydir[$i] == ".."
			? "&nbsp;"
			: date ("d/M/Y H:i", filemtime($mydir[$i]));
		
		print("
			<tr>
				<td><img src=\"$path/.img/dir.png\" alt=\"\" /></td>
				<td><a href=\"$dir/$mydir[$i]\">". iconv("ISO-8859-1", "UTF-8", $mydir[$i]) ."</a></td>
				<td>&nbsp;</td>
				<td style=\"text-align:right\">$date</td>
				<td>&nbsp;</td>
			</tr>
			");
		}

	// Boucle pour lire et afficher les fichiers
	$total = 0;

	for ($i = 0; $i < count($files); $i++ ) {
		$ext    = pathinfo($files[$i], PATHINFO_EXTENSION);
		$size   = (int) (filesize("$dir/$files[$i]") / 1000);
		$total += $size;

		// indicateur pour fichiers récents (< 15 jours)
		$delay  = (time()- filemtime($files[$i])) / (24 * 3600);
		$update = $delay < 15
			? "<img src=\"$path/.img/updated.png\" alt=\"[updated]\" />"
			: "&nbsp;" ;

		if ( !file_exists("$path/.img/mime/$ext.png") )
			$ext = "default";
		
		print("
			<tr>
				<td><img src=\"$path/.img/mime/$ext.png\" alt=\"[$ext]\" /></td>
				<td><a href=\"$dir/$files[$i]\">". iconv("ISO-8859-1", "UTF-8", $files[$i]) ."</a></td>
				<td style=\"text-align:right\">$size ko</td>
				<td style=\"text-align:right\">".date ("d/M/Y H:i", filemtime($files[$i]))."</td>
				<td>$update</td>
			</tr>
			");			
		}

	closedir($myDir);
?>
	</table>
	</div>

	<p style="margin-top:10px;">
	<?php
		print("
			<a href=\"#title\"><img src=\"$path/.img/up.png\" alt=\"^^\" /></a> ".
			count($mydir) . " dossier(s) - " . count($files) . " fichier(s), $total ko

			<a href=\"http://creativecommons.org/licenses/by-nc-sa/2.0/fr/\"><img src=\"$path/.img/cc-by-nc-sa.png\" alt=\"cc-by-nc-sa\" /></a>
			<a href=\"http://validator.w3.org/check?uri=referer\"><img src=\"$path/.img/valid-xhtml.png\" alt=\"valid XHTML\" /></a>
			<a href=\"http://jigsaw.w3.org/css-validator/validator?uri=http://projet.eu.org/pedago/sin/index.php\"><img src=\"$path/.img/valid-css.png\" alt=\"valid CSS\" /></a>
			");
	?>
	</p>

</body>
</html>
